{% extends 'base.html.twig' %}
{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset("frontassets/css/dropzone.css") }}"/>
{% endblock %}

{% block body %}
    {% include "_header.html.twig" %}


    <div class="main-container">
        <div class="container">
            <div class="row">
                {% for error in form.vars.errors %}
                    <div class="alert alert-danger fade in margin-bottom-40">
                        {{ error.message|trans }}
                    </div>
                {% endfor %}
                <div class="col-md-9 page-content">
                    <div class="inner-box category-content" style="background-color: #fff">
                        <h2 class="title-2 uppercase"><strong> <i class="icon-docs"></i> Ajouter votre Annonce</strong></h2>
                        <div class="row">


                                <form action="{{ path('spare_new') }}" id="formapp" class="form-horizontal" enctype="multipart/form-data" method="post" novalidate="novalidate">

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Titre <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.title, { 'attr': {'class': 'form-control', 'placeholder': 'Titre de l\'annonce' }}) }}
                                            {% if form.title.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.title) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Catégorie<sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.category, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>

                                    {% for error in form.vars.errors %}
                                        <div class="alert alert-danger fade in margin-bottom-40">
                                            {{ error.message|trans }}
                                        </div>
                                    {% endfor %}
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Condition <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.state, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.state.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.state) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group"><label class="col-md-3 control-label">Marque-Modéle<sup>*</sup></label>
                                        <div class="col-md-4 form-inline">
                                            {{form_widget(form.marque, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                        <div class="col-md-4">

                                            {{form_widget(form.modele, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.marque) }}</div>
                                            {% endif %}
                                            {% if form.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.modele) }}</div>
                                            {% endif %}

                                            {% for error in form.vars.errors %}
                                                <div class="alert alert-danger fade in margin-bottom-40">
                                                    {{ error.message|trans }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>



                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Age <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.year, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">AN(S)</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.year.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.year) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>


                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Prix <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.price, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">DT</span></div>

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.price.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.price) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Description <sup>(optionel)</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.description, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-8 control-label"></label>
                                        <div class="col-md-3">
                                            <button type="submit" id="button1id" class="btn btn-primary btn-lg" style="background-color: #0a3d91">Suivant <i class="fa fa-chevron-right fa-1x"></i></button>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </form>


                        </div>
                    </div>
                </div>

                <div class="col-md-3 reg-sidebar">
                    <div class="reg-sidebar-inner text-center">
                        <div class="panel sidebar-panel">
                            <div class="panel-heading uppercase">
                                <small><strong>Comment Vendre Rapidement?</strong></small>
                            </div>
                            <div class="panel-content">
                                <div class="panel-body text-left">
                                    <ul class="list-check">
                                        <li> Utilisez un bref titre et une description de l'élément</li>
                                        <li> Assurez-vous de publier dans la bonne catégorie</li>
                                        <li> Ajoutez de belles photos à votre annonce</li>
                                        <li> Mettez un prix raisonnable</li>
                                        <li> Vérifiez l'annonce avant de la publier</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="{{ asset('frontassets/assets/js/fileinput.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('frontassets/js/dropzone.js') }}"></script>
    <script type="text/javascript">

        $('#sayara_backendbundle_spare_marque').change(function () {
            var marqueSelector = $(this);
            var marqueid= marqueSelector.val()

            // Request the models of the selected marque.
            $.ajax({
                url: "{{ path('vehicle_model_list') }}",
                type: "POST",
                dataType: "JSON",
                data: {
                    marqueid: marqueSelector.val()
                },
                success: function (models) {
                    var modelSelect = $("#sayara_backendbundle_spare_modele");

                    // Remove current options
                    modelSelect.html('');

                    // Empty value ...
                    modelSelect.append('<option value> Choisir un modele de  ' + marqueSelector.find("option:selected").text() + ' ...</option>');


                    $.each(models, function (key, model) {
                        modelSelect.append('<option value="' + model.id + '">' + model.libelle + '</option>');
                    });
                },
                error: function (err) {
                    alert("An error ocurred while loading data ...");
                }
            });
        });

        //je récupère l'action où sera traité l'upload en PHP
        var _actionToDropZone = $("#formapp").attr('action');

        //je définis ma zone de drop grâce à l'ID de ma div citée plus haut.
        Dropzone.autoDiscover = false;
        var myDropzone = new Dropzone("#form_snippet_image", { url: _actionToDropZone });

    </script>
{% endblock %}